commit: 227894b974cad3f109b7bb8b1ac5d51602545746
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Mon Dec 28 18:37:15 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Mon Dec 28 18:37:15 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=227894b9
dev-vcs/gitahead: sed for gnome-keyring removal
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 8effd92c..6b150378 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -53,6 +53,14 @@ src_unpack() {
done
}
+src_prepare() {
+ if ! use gnome-keyring; then
+ sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
+ fi
+ default
+ cmake_src_prepare
+}
+
src_install() {
cd "${BUILD_DIR}" || die